SDL_GetSensorData(3)

NAME
SDL_GetSensorData - Get the current state of an opened sensor.

SYNOPSIS
#include <SDL3/SDL_sensor.h>

bool SDL_GetSensorData(SDL_Sensor *sensor, float *data, int num_values);

DESCRIPTION
The number of values and interpretation of the data is sensor dependent.

FUNCTION PARAMETERS

sensor
    the SDL_Sensor object to query.

data
    a pointer filled with the current sensor state.

num_values
    the number of values to write to data.

RETURN VALUE
for more information.

AVAILABILITY
This function is available since SDL 3.2.0.